﻿using System;
using System.Collections.Generic;

namespace Dardabahn_WPF.Models;

public partial class Rennstrecke
{
    public int RennstreckenId { get; set; }

    public int? TeamId { get; set; }

    public virtual Team? Team { get; set; }

    public virtual ICollection<Veranstaltung> Veranstaltungs { get; set; } = new List<Veranstaltung>();

    public Rennstrecke() { }

    public Rennstrecke(int rennstreckenid,int? teamid)
    {
        RennstreckenId = rennstreckenid;
        TeamId = teamid;
    }
}
