﻿using System;
using System.Collections.Generic;

namespace Dardabahn_WPF.Models;

public partial class Team
{
    public int TeamId { get; set; }

    public string? Name { get; set; }

    public virtual ICollection<Auto> Autos { get; set; } = new List<Auto>();

    public virtual ICollection<Mitglied> Mitglieds { get; set; } = new List<Mitglied>();

    public virtual ICollection<Rennstrecke> Rennstreckes { get; set; } = new List<Rennstrecke>();

    public virtual ICollection<Teilnahme> Teilnahmes { get; set; } = new List<Teilnahme>();

    public Team(int teamId, string? name)
    {
        TeamId = teamId;
        Name = name;

    }
}


