﻿using System;
using System.Collections.Generic;

namespace Dardabahn_WPF.Models;

public partial class Teilnahme
{
    public int TeilnahmeId { get; set; }

    public DateTime? Datum { get; set; }

    public int? TeamId { get; set; }

    public int? VeranstaltungsId { get; set; }

    public virtual ICollection<Rennen> Rennens { get; set; } = new List<Rennen>();

    public virtual Team? Team { get; set; }

    public virtual Veranstaltung? Veranstaltungs { get; set; }

    public Teilnahme() { }

    public Teilnahme(int teilnahmeid,DateTime? datum,int? teamid,int? veranstaltungsid)
    {
        TeilnahmeId = teilnahmeid;
        Datum = datum;
        TeamId = teamid;
        VeranstaltungsId = veranstaltungsid;
    }
}
