﻿using Microsoft.EntityFrameworkCore.Storage;
using System;
using System.Collections.Generic;

namespace Dardabahn_WPF.Models;

public partial class Veranstaltung
{
    public int VeranstaltungsId { get; set; }

    public int? RennstreckenId { get; set; }

    public virtual Rennstrecke? Rennstrecken { get; set; }

    public virtual ICollection<Teilnahme> Teilnahmes { get; set; } = new List<Teilnahme>();

    public Veranstaltung() { }

    public Veranstaltung(int veranstaltungsid,int? rennstreckenid) 
    {
        VeranstaltungsId = veranstaltungsid;
        RennstreckenId = rennstreckenid;
    }
}
