-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Erstellungszeit: 27. Nov 2024 um 10:38
-- Server-Version: 10.4.32-MariaDB
-- PHP-Version: 8.2.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Datenbank: `dardabahn`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `auto`
--

CREATE TABLE `auto` (
  `Auto_ID` int(11) NOT NULL,
  `Farbe` varchar(50) DEFAULT NULL,
  `Team_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `mitglied`
--

CREATE TABLE `mitglied` (
  `Mitglied_ID` int(11) NOT NULL,
  `Vorname` varchar(100) DEFAULT NULL,
  `Nachname` varchar(100) DEFAULT NULL,
  `Alter` int(11) DEFAULT NULL,
  `Team_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `rennen`
--

CREATE TABLE `rennen` (
  `Rennen_ID` int(11) NOT NULL,
  `Startzeit` float(11,3) DEFAULT NULL,
  `Endzeit` float(11,3) DEFAULT NULL,
  `Szenarien` varchar(255) DEFAULT NULL,
  `Veranstaltungs_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `rennstrecke`
--

CREATE TABLE `rennstrecke` (
  `Rennstrecken_ID` int(11) NOT NULL,
  `Team_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `team`
--

CREATE TABLE `team` (
  `Team_ID` int(11) NOT NULL,
  `Name` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `teilnahme`
--

CREATE TABLE `teilnahme` (
  `Team_ID` int(11) NOT NULL,
  `Veranstaltungs_ID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `veranstaltung`
--

CREATE TABLE `veranstaltung` (
  `Veranstaltungs_ID` int(11) NOT NULL,
  `Rennstrecken_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `__efmigrationshistory`
--

CREATE TABLE `__efmigrationshistory` (
  `MigrationId` varchar(150) NOT NULL,
  `ProductVersion` varchar(32) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Daten für Tabelle `__efmigrationshistory`
--

INSERT INTO `__efmigrationshistory` (`MigrationId`, `ProductVersion`) VALUES
('20241127071057_initial', '8.0.11'),
('20241127071240_Auto increment bei Auto id', '8.0.11'),
('20241127074125_AutoIncrement_und_Datentypchange', '8.0.11'),
('20241127075125_AutoIncrement_und_Datentypchange2.0', '8.0.11');

--
-- Indizes der exportierten Tabellen
--

--
-- Indizes für die Tabelle `auto`
--
ALTER TABLE `auto`
  ADD PRIMARY KEY (`Auto_ID`),
  ADD KEY `Team_ID` (`Team_ID`);

--
-- Indizes für die Tabelle `mitglied`
--
ALTER TABLE `mitglied`
  ADD PRIMARY KEY (`Mitglied_ID`),
  ADD KEY `Team_ID1` (`Team_ID`);

--
-- Indizes für die Tabelle `rennen`
--
ALTER TABLE `rennen`
  ADD PRIMARY KEY (`Rennen_ID`),
  ADD KEY `Veranstaltungs_ID` (`Veranstaltungs_ID`);

--
-- Indizes für die Tabelle `rennstrecke`
--
ALTER TABLE `rennstrecke`
  ADD PRIMARY KEY (`Rennstrecken_ID`),
  ADD KEY `IX_rennstrecke_Team_ID` (`Team_ID`);

--
-- Indizes für die Tabelle `team`
--
ALTER TABLE `team`
  ADD PRIMARY KEY (`Team_ID`);

--
-- Indizes für die Tabelle `teilnahme`
--
ALTER TABLE `teilnahme`
  ADD PRIMARY KEY (`Team_ID`,`Veranstaltungs_ID`),
  ADD KEY `Veranstaltungs_ID1` (`Veranstaltungs_ID`);

--
-- Indizes für die Tabelle `veranstaltung`
--
ALTER TABLE `veranstaltung`
  ADD PRIMARY KEY (`Veranstaltungs_ID`),
  ADD KEY `Rennstrecken_ID` (`Rennstrecken_ID`);

--
-- Indizes für die Tabelle `__efmigrationshistory`
--
ALTER TABLE `__efmigrationshistory`
  ADD PRIMARY KEY (`MigrationId`);

--
-- AUTO_INCREMENT für exportierte Tabellen
--

--
-- AUTO_INCREMENT für Tabelle `auto`
--
ALTER TABLE `auto`
  MODIFY `Auto_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT für Tabelle `mitglied`
--
ALTER TABLE `mitglied`
  MODIFY `Mitglied_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT für Tabelle `rennen`
--
ALTER TABLE `rennen`
  MODIFY `Rennen_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT für Tabelle `rennstrecke`
--
ALTER TABLE `rennstrecke`
  MODIFY `Rennstrecken_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT für Tabelle `team`
--
ALTER TABLE `team`
  MODIFY `Team_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT für Tabelle `veranstaltung`
--
ALTER TABLE `veranstaltung`
  MODIFY `Veranstaltungs_ID` int(11) NOT NULL AUTO_INCREMENT;

--
-- Constraints der exportierten Tabellen
--

--
-- Constraints der Tabelle `auto`
--
ALTER TABLE `auto`
  ADD CONSTRAINT `auto_ibfk_1` FOREIGN KEY (`Team_ID`) REFERENCES `team` (`Team_ID`);

--
-- Constraints der Tabelle `mitglied`
--
ALTER TABLE `mitglied`
  ADD CONSTRAINT `mitglied_ibfk_1` FOREIGN KEY (`Team_ID`) REFERENCES `team` (`Team_ID`);

--
-- Constraints der Tabelle `rennen`
--
ALTER TABLE `rennen`
  ADD CONSTRAINT `rennen_ibfk_1` FOREIGN KEY (`Veranstaltungs_ID`) REFERENCES `veranstaltung` (`Veranstaltungs_ID`);

--
-- Constraints der Tabelle `teilnahme`
--
ALTER TABLE `teilnahme`
  ADD CONSTRAINT `teilnahme_ibfk_1` FOREIGN KEY (`Team_ID`) REFERENCES `team` (`Team_ID`),
  ADD CONSTRAINT `teilnahme_ibfk_2` FOREIGN KEY (`Veranstaltungs_ID`) REFERENCES `veranstaltung` (`Veranstaltungs_ID`);

--
-- Constraints der Tabelle `veranstaltung`
--
ALTER TABLE `veranstaltung`
  ADD CONSTRAINT `veranstaltung_ibfk_1` FOREIGN KEY (`Rennstrecken_ID`) REFERENCES `rennstrecke` (`Rennstrecken_ID`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
