﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Dardabahn_WPF.Models;

namespace Dardabahn_WPF.Controller
{
    public class IO_Controller
    {
        private DardabahnContext ctx;
        internal AutoController ac;
        internal MitgliedController mc;
        internal RennenController rc;
        internal RennstreckeController rsc;
        internal TeamController tc;
        internal TeilnahmeController tec;
        internal VeranstaltungController vc;

        public IO_Controller()
        {
            ctx = new DardabahnContext();
            ac = new AutoController(ctx);
            mc = new MitgliedController(ctx);
            rc = new RennenController(ctx);
            rsc = new RennstreckeController(ctx);
            tc = new TeamController(ctx);
            tec = new TeilnahmeController(ctx);
            vc = new VeranstaltungController(ctx);
        }
    }
}
